package com.zipcodewilmington.phonebook;

import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;

/**
 * Created by leon on 1/23/18.
 */
public class PhoneBookTest {



@Test
    public void testHasEntry(){
    PhoneBook b= new PhoneBook();
    String name= "simran";
    ArrayList<String>phone = new ArrayList<>();
    phone.add("302563_3323");
    b.add(name, phone);
//when
    boolean actualOutput=b.hasEntry(name);
    //then
    Assert.assertTrue(actualOutput);
}

@Test

public void testAdd(){
    PhoneBook b= new PhoneBook();
    String name= "simran";
    ArrayList<String>phone = new ArrayList<>();
    phone.add("302563_3323");
    phone.add("302563_3356");

    //when
    b.add(name, phone);

    //then
    Assert.assertEquals(1,b.size());

}


@Test
    public void testRemove(){
    PhoneBook b= new PhoneBook();
    String name= "simran";
    ArrayList<String>phone = new ArrayList<>();
    phone.add("302563_3323");


    //when
    b.add(name, phone);
    b.remove(name);

    //then
    Assert.assertEquals(0,b.size());
}

@Test
    public void testReverseLookup(){
        PhoneBook b= new PhoneBook();
        String name= "simran";
        String phoneNum= "302563_3323";
    ArrayList<String>phone = new ArrayList<>();
    phone.add("302563_3323");
        String expectedOutput =name;
        b.add(name, phone);

        String actualOutput= b.reverseLook(phoneNum);

        Assert.assertEquals(expectedOutput,actualOutput);


}

@Test
    public void testGetArrayListFor(){
    PhoneBook b= new PhoneBook();
    String name= "simran";
    ArrayList<String>phone = new ArrayList<>();
    phone.add("302563_3323");
    b.add(name, phone);
ArrayList<String> expectedOutput = phone;

    Assert.assertEquals(expectedOutput,b.arrayListFor(name));
}


@Test
    public void testListNamesAndNum(){

    PhoneBook b= new PhoneBook();
    String expectedOutput = "\nsimran : [302563_3323]\nladi : [302563_3333]";

    ArrayList<String>phone1= new ArrayList<>();
    phone1.add("302563_3323");
    b.add("simran", phone1);


    ArrayList<String>phone2= new ArrayList<>();
    phone2.add("302563_3333");
    b.add("ladi", phone2);

    String actualOutput= b.listNamesAndNum();
    Assert.assertEquals(expectedOutput, actualOutput);

}



}
